package com.tofly.xrtymis.em;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 文件表类型枚举
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum FileTableTypeEnum {
    /**
     *
     */
    TF_YWPN_GDINFO_W("1","TF_YWPN_GDINFO_W","业务工单"),
    TF_YWPN_EMERGENCY_W("2","TF_YWPN_EMERGENCY_W","应急事件"),


    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    private String note;
    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (FileTableTypeEnum e : FileTableTypeEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
